Name: cockpit-ostree
Version: 178
Release: 1%{?dist}
BuildArch: noarch
Summary: Cockpit user interface for rpm-ostree
License: LGPLv2+
Requires: cockpit-bridge >= 125
Requires: cockpit-system >= 125
Requires: /usr/libexec/rpm-ostreed

# Download from https://github.com/cockpit-project/cockpit-ostree/releases
Source: cockpit-ostree-%{version}.tar.gz

%description
Cockpit component for managing software updates for ostree based systems.

%prep
%setup -n cockpit-ostree

%install
%make_install

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs rm --verbose

%files
%{_datadir}/cockpit/*

%changelog
* Fri Jul 12 2019 Martin Pitt <martin@piware.de> - 178-1
- new upstream release: 178

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 176-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Aug 27 2018 Martin Pitt <martin@piware.de> - 176-1

- RPM spec fixes
- Drop python3 build requirement

* Thu Aug 02 2018 Martin Pitt <martin@piware.de> - 175-1

- Simplify spec file
- Adjust tests for new rpm-ostree on RHEL Atomic

* Thu Jul 19 2018 Martin Pitt <martin@piware.de> - 173-1

- Split out into a separate upstream project:
  https://github.com/cockpit-project/cockpit-ostree
  (rhbz#1603146)
- No behaviour changes
